Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_InputButton_Group

CL_InputButton container class.
Contained in: global
Derived from: CL_InputButton
Derived by: none
Group: Display (Input)

#include <ClanLib/display.h>

### public function member index:

### Operations:

``void`` | `add` | `(`CL_InputButton`* `add_button`)`;
``void`` | `remove` | `(`CL_InputButton`* `remove_button`)`;

### Attributes:

``virtual` `bool`` | `is_pressed` | `()`;

## Description:

Groups a set of buttons - if either of them are down, CL_InputButton_Groups is down.

## Function Member Descriptions:

CL_InputButton_Group::add - Adds a input button to the group.
``void`` `add` `(`CL_InputButton`* `add_button`)`;

> add_button - Button to be added.

CL_InputButton_Group::is_pressed - Returns true if just one of the buttons in the button group is down; false otherwise.
``virtual` `bool`` `is_pressed` `()`;

> Returns - True if pressed, false otherwise.

CL_InputButton_Group::remove - Removes a (previously added) button from the group.
``void`` `remove` `(`CL_InputButton`* `remove_button`)`;

> remove_button - Button to be removed.

## Variable Member Descriptions: